﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QuadraticSystem
{
    public class Clause
    {
        //public int First;
        //public int Second;
        //public int Third;
        public IList<int> Variables = new List<int>();
        public void Add(int v)
        {
            if (!Variables.Contains(v)) Variables.Add(v);
        }
        public void Rename(int v, int n)
        {
            for (int i = 0; i < Variables.Count; i++)
            {
                if (Variables[i].Equals(v)) Variables[i] = n;
                if (Variables[i].Equals(-1 * v)) Variables[i] = -1 * n;
            }
        }
        public string GetLine()
        {
            string line = Variables[0].ToString();
            for (int i = 1; i < Variables.Count; i++)
                line = line + " " + Variables[i];
            return line;
        }
    }
}
