﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QuadraticSystem
{
    public class QuadraticEquation
    {
        public int Value;
        public HashSet<Term> Terms = new HashSet<Term>();

        // i is from sat , j is new variables >0
        public void AddTerms(int i, int j)
        {
            IList<Term> trms = new List<Term>();
            if (i > 0)
                Terms.Add(new Term() { First = i, Second = j });
            else
            {
                Terms.Add(new Term() { First = Math.Abs(i), Second = j });
                Terms.Add(new Term() { First = j, Second = j });
            }

        }
        public void AddTerm(int i, int j)
        {
            Term trm = new Term() { First = j, Second = i };
            Terms.Add(trm);
        }
        public void AddTerms(string line)
        {
            string[] ss = line.Split(' ');

            Value = int.Parse(ss[0]);

            for(int i=1;i<ss.Length;i++)
            {
                Term  trm= new Term(ss[i]);
                Terms.Add(trm);
            }
        }
        public string ToString()
        {
            string s = string.Empty;
            s = Value.ToString();
            foreach (Term trm in Terms )
            {
                s = s + " " + trm.ToString();
            }
            return s;
        }
    }
}
